(*********************************************************
 * Modul EditLessons
 *
 * Mit diesem Modul knnen die Lektionsdateien bearbeitet
 * werden.
 *
 * Datum: 16.04.2000
 * Autor: Andreas Dangel
 * Version: 0.9b
 *
 * (c)2000 Andreas Dangel
 ********************************************************)
program EditLessons;

uses
  Forms,
(*
 * Wichtigstes Fenster im Modul, hier werden die
 * Daten eingegeben.
 *)
  uEditor in 'uEditor.pas' {fEditor},

(*
 * In dieser Dialogbox wird die Lektion ausgewhlt,
 * die bearbeitet werden soll bzw. wird eine neue
 * Lektion erstellt.
 *)
  uChoose in 'uChoose.pas' {fChoose},

(*
 * Diese Mini-Dialogbox gehrt zu fChoose. Hier wird der
 * Name der Lektion eingegeben, bei Neuerstellung oder
 * wenn eine Lektion umbenannt werden soll.
 *)
  uEditName in 'uEditName.pas' {fEditName},

(*
 * In der Unit Lessons werden bestimmte Methoden und
 * Klassen zur Berarbeitung der Lektionsdatei
 * bereitgestellt.
 *)
  Lessons in '..\misc\Lessons.pas';

(*
 * Jetzt noch die Icons zum Hauptprogramm hinzufgen:
 * 0 - ..\icons\vok2000.ico
 * 1 - ..\icons\edit.ico
 * 2 - ..\icons\train.ico
 *)

 {$R ..\misc\icons.res}

begin
  Application.Initialize;
  Application.CreateForm(TfEditor, fEditor);
  Application.CreateForm(TfChoose, fChoose);
  Application.CreateForm(TfEditName, fEditName);
  Application.Run;
end.
