unit uLexikon;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfLexikon = class(TForm)
    memoErgebnis: TMemo;
    Panel1: TPanel;
    labelFile: TLabel;
    Panel2: TPanel;
    btnSeek: TButton;
    radioModus: TRadioGroup;
    edtSuchtext: TEdit;
    Button1: TButton;
    GroupBox1: TGroupBox;
    memoStatistik: TMemo;
    procedure btnSeekClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  fLexikon: TfLexikon;

implementation
uses uTrainer;
{$R *.DFM}


procedure TfLexikon.btnSeekClick(Sender: TObject);
begin
 if edtSuchtext.Text = '' then Exit;

 case radioModus.ItemIndex of
 //Vokabel suchen...
 0: memoErgebnis.Lines := fTrainer.lesson1.SeekVocabel(edtSuchtext.Text);
 1: memoErgebnis.Lines := fTrainer.lesson1.SeekBedeutung(edtSuchtext.Text);
 end;

 (* statistik anzeigen *)
 memoStatistik.Clear;
 memoStatistik.Lines.Add('Anzahl der Ergebnisse:'+IntToStr(memoErgebnis.Lines.Count));
end;

procedure TfLexikon.FormShow(Sender: TObject);
begin
 fTrainer.Enabled := false;
end;

procedure TfLexikon.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 fTrainer.Enabled := true;
end;

procedure TfLexikon.Button1Click(Sender: TObject);
begin
 Close;
end;

end.
