unit uChoose2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls,
  //--
  Lessons;

type
  TfChoose2 = class(TForm)
    listFile: TListBox;
    listLessons: TListBox;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    btnOK: TBitBtn;
    btnCancel: TBitBtn;
    labelFile: TLabel;
    Label1: TLabel;
    SpeedButton1: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnCancelClick(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure listFileDblClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    listIndex: TStrings;
    { Public-Deklarationen }
  end;

var
  fChoose2: TfChoose2;

implementation
uses uTrainer;
{$R *.DFM}

procedure TfChoose2.FormShow(Sender: TObject);
begin
 fTrainer.Enabled := false;
 listFile.Items := fTrainer.lesson1.getLessonsList;
 labelFile.Caption := 'Lektionen in Datei '+ExtractFileName(fTrainer.FileName)+':';
 listLessons.Clear;
 listIndex := TStringList.Create;
end;

procedure TfChoose2.SpeedButton2Click(Sender: TObject);
var index: Integer;
begin
 index := listFile.ItemIndex;
 if index > -1 then
  begin
    listLessons.Items.Add(listFile.Items[index]);
    listIndex.Add(IntToStr(index));
  end;
end;

procedure TfChoose2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 listIndex.Free;
 fTrainer.Enabled := true;
end;

procedure TfChoose2.btnCancelClick(Sender: TObject);
begin
 Close;
end;

procedure TfChoose2.btnOKClick(Sender: TObject);
var i    : Integer;
    index: Integer;
    p_vocabulary: PVocabulary;
begin
fTrainer.vocabulary1 := TVocabulary.Create;
if listLessons.Items.Count = 0 then
  begin
    fTrainer.setVocabularyInit(false);
    Close;
    Exit;
  end;

 fTrainer.vocabulary1 := TVocabulary.Create;
 for i := 0 to listLessons.Items.Count-1 do
  begin
    index := StrToInt(listIndex[i]);
    p_vocabulary := fTrainer.lesson1.getList[index];
    fTrainer.vocabulary1.ListAddCopyVocabulary(p_vocabulary);
  end;
fTrainer.setVocabularyInit(true);
Close;
end;

procedure TfChoose2.SpeedButton3Click(Sender: TObject);
var index: Integer;
begin
 index := listLessons.ItemIndex;
 if index > -1 then
   begin
     listLessons.Items.Delete(index);
     listIndex.Delete(index);
   end;
end;

procedure TfChoose2.SpeedButton4Click(Sender: TObject);
begin
listLessons.Clear;
listIndex.Clear;
end;

procedure TfChoose2.listFileDblClick(Sender: TObject);
begin
 SpeedButton2Click(Sender);
end;

procedure TfChoose2.SpeedButton1Click(Sender: TObject);
var i: Integer;
begin
 listLessons.Clear;
 listIndex.Clear;
 listLessons.Items := listFile.Items;
 for i := 0 to listFile.Items.Count-1 do
     listIndex.Add(IntToStr(i));
end;

end.
