unit uMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, Buttons, ExtCtrls, inifiles;

type
  TfMainForm = class(TForm)
    MainMenu1: TMainMenu;
    Datei1: TMenuItem;
    Lektionenbearbeiten1: TMenuItem;
    Lektionenabfragen1: TMenuItem;
    N1: TMenuItem;
    Beenden1: TMenuItem;
    panelContent: TPanel;
    Image1: TImage;
    btnEdit: TBitBtn;
    btnTrain: TBitBtn;
    Einstellungen1: TMenuItem;
    Abfrage1: TMenuItem;
    Leerzeichen1: TMenuItem;
    N2: TMenuItem;
    Dateityp1: TMenuItem;
    procedure Beenden1Click(Sender: TObject);
    procedure Lektionenbearbeiten1Click(Sender: TObject);
    procedure Lektionenabfragen1Click(Sender: TObject);
    procedure btnEditClick(Sender: TObject);
    procedure btnTrainClick(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Dateityp1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  fMainForm: TfMainForm;

implementation
uses uEditor, uTrainer, RegisterFileTypes;
{$R *.DFM}

procedure TfMainForm.Beenden1Click(Sender: TObject);
begin
 Close;
end;

procedure TfMainForm.Lektionenbearbeiten1Click(Sender: TObject);
begin
 btnEditClick(Sender);
end;

procedure TfMainForm.Lektionenabfragen1Click(Sender: TObject);
begin
 btnTrainClick(Sender);
end;

procedure TfMainForm.btnEditClick(Sender: TObject);
begin
 Hide;
 fEditor.parentForm := @fMainForm;
 fEditor.WindowState := wsMaximized;
 fEditor.Show;
end;

procedure TfMainForm.btnTrainClick(Sender: TObject);
begin
 Hide;
 fTrainer.parentForm := @fMainForm;
 fTrainer.WindowState := wsMaximized;
 fTrainer.Show;
end;


procedure TfMainForm.FormResize(Sender: TObject);
begin
 //panelContent zentrieren!
 panelContent.Left := (fMainForm.Width-panelContent.Width) div 2;
 panelContent.Top  := (fMainForm.Height-panelContent.Height) div 2;
end;

procedure TfMainForm.FormCreate(Sender: TObject);
var inifile: TInifile;
    filename: string;
begin
 //einstellungen laden
 filename := ExtractFilePath(Application.ExeName)+'vokabel.ini';
 inifile := TIniFile.Create(filename);
 Dateityp1.Checked := inifile.ReadBool('vok2000','dateityp',true);

 if Dateityp1.Checked then
   RegisterFileType(Application.ExeName)
 else RemoveRegistration;
end;

procedure TfMainForm.Dateityp1Click(Sender: TObject);
var inifile: TIniFile;
    filename: string;
begin
 if Dateityp1.Checked then Dateityp1.Checked := false
                      else Dateityp1.Checked := true;
 //einstellungen sichern:
 filename := ExtractFilePath(Application.ExeName)+'vokabel.ini';
 inifile := TIniFile.Create(filename);
 inifile.WriteBool('vok2000','dateityp',Dateityp1.Checked);
 inifile.Free;

 if Dateityp1.Checked then
    RegisterFileType(Application.ExeName)
 else RemoveRegistration;
end;

end.
